<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [hasCorporation](./bitburner.corporation.hascorporation.md)

## Corporation.hasCorporation() method

Return whether the player has a corporation. Does not require API access.

**Signature:**

```typescript
hasCorporation(): boolean;
```
**Returns:**

boolean

Whether the player has a corporation

## Remarks

RAM cost: 0 GB

